summaryrefslogtreecommitdiff
path: root/test.sh
diff options
context:
space:
mode:
authorEyal Posener <[email protected]>2017-05-08 06:33:45 +0300
committerGitHub <[email protected]>2017-05-08 06:33:45 +0300
commit6dd6a04d241b1c267d686d5b4b112f8e8d3f7338 (patch)
tree28d9df10ae15cb7736f6a57f904eaf95083097ee /test.sh
parente8f6dfad584cb1e3082bc7ea82f8c0551dd944b3 (diff)
parent328144c31b5abd57be42f18ffb8a442c78619097 (diff)
Merge pull request #8 from posener/move-match
Move match
Diffstat (limited to 'test.sh')
-rwxr-xr-xtest.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/test.sh b/test.sh
new file mode 100755
index 0000000..56bfcf1
--- /dev/null
+++ b/test.sh
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+
+set -e
+echo "" > coverage.txt
+
+for d in $(go list ./... | grep -v vendor); do
+ go test -v -race -coverprofile=profile.out -covermode=atomic $d
+ if [ -f profile.out ]; then
+ cat profile.out >> coverage.txt
+ rm profile.out
+ fi
+done \ No newline at end of file